Name:           genus2reduction
Version:        0.3
Release:        5%{?dist}
Summary:        Computes Reductions of Genus 2 Proper Smooth Curves
Group:          Applications/Engineering
License:        GPLv2
URL:            http://www.math.u-bordeaux.fr/~liu/G2R/
Source0:        http://www.math.u-bordeaux.fr/~liu/G2R/genus2reduction-%{version}.tar.gz
# License clarification:
Source1:        genus2reduction.mbox
# More license clarification:
Source2:        genus2reduction-licenseinfo.txt
# http://svn.pardus.org.tr/viewcvs/devel/applications/science/mathematics/genus2reduction/files/header-path.patch?root=pardus&revision=37446&content-type=text%2Fplain
Patch0:         genus2reduction-header-path.patch
# http://svn.pardus.org.tr/viewcvs/devel/applications/science/mathematics/genus2reduction/files/compile.patch?root=pardus&revision=37446&content-type=text%2Fplain
Patch1:         genus2reduction-compile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gmp-devel
BuildRequires:  pari-devel


%description
Determines the reduction of a proper smooth curve of genus 2 at any
prime number p.


%prep
%setup -q
%patch0
%patch1
cp %{SOURCE1} .
cp %{SOURCE2} .


%build
make CC="%{__cc} $RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README %{name}.mbox %{name}-licenseinfo.txt
%{_bindir}/%{name}


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May  9 2009 Ville Skyttä <ville.skytta at iki.fi> - 0.3-4
- Build with $RPM_OPT_FLAGS.

* Thu Mar 12 2009 Conrad Meyer <konrad@tylerc.org> - 0.3-3
- Add additional license clarification.

* Fri Dec 12 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-2
- Add gmp-devel BR.

* Mon Dec 8 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-1
- Initial package.
